# Uses of Interface
com.usatiuk.dhfs.peerdiscovery.PeerAddress

Packages that use PeerAddress
Package
Description
com.usatiuk.dhfs.peerdiscovery
com.usatiuk.dhfs.peersync
com.usatiuk.dhfs.peersync.api
com.usatiuk.dhfs.rpc

## Uses of PeerAddress in com.usatiuk.dhfs.peerdiscovery

Classes in com.usatiuk.dhfs.peerdiscovery that implement PeerAddress
Modifier and Type
Class
Description
`final record`
`IpPeerAddress`
Methods in com.usatiuk.dhfs.peerdiscovery that return types with arguments of type PeerAddress
Modifier and Type
Method
Description
`Collection<PeerAddress>`
PeerDiscoveryDirectory.`getForPeer(PeerId peer)`
Methods in com.usatiuk.dhfs.peerdiscovery with parameters of type PeerAddress
Modifier and Type
Method
Description
`void`
PeerDiscoveryDirectory.`notifyAddr(PeerAddress addr)`

## Uses of PeerAddress in com.usatiuk.dhfs.peersync

Methods in com.usatiuk.dhfs.peersync that return PeerAddress
Modifier and Type
Method
Description
`PeerAddress`
ReachablePeerManager.`getAddress(PeerId host)`
Methods in com.usatiuk.dhfs.peersync that return types with arguments of type PeerAddress
Modifier and Type
Method
Description
`Optional<PeerAddress>`
ReachablePeerManager.`selectBestAddress(PeerId host)`

## Uses of PeerAddress in com.usatiuk.dhfs.peersync.api

Methods in com.usatiuk.dhfs.peersync.api with parameters of type PeerAddress
Modifier and Type
Method
Description
`ApiPeerInfo`
PeerSyncApiClientDynamic.`getSelfInfo(PeerAddress addr)`

## Uses of PeerAddress in com.usatiuk.dhfs.rpc

Methods in com.usatiuk.dhfs.rpc with parameters of type PeerAddress
Modifier and Type
Method
Description
`<R> R`
RpcClientFactory.`withObjSyncClient(PeerId host, PeerAddress address, long timeout, RpcClientFactory.ObjectSyncClientFunction<R> fn)`